EntityASTTransformation (Grails 5.2.3)

Package: org.grails.compiler.injection

## [Java] Class EntityASTTransformation

- org.grails.compiler.injection.EntityASTTransformation

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation, groovy.transform.CompilationUnitAware

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class EntityASTTransformation
      extends java.lang.Object
      implements org.codehaus.groovy.transform.ASTTransformation, groovy.transform.CompilationUnitAware

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.codehaus.groovy.control.CompilationUnit` | `compilationUnit` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `applyTransformation(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public void` | `setCompilationUnit(org.codehaus.groovy.control.CompilationUnit unit)`
    `` | `public void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected org.codehaus.groovy.control.CompilationUnit compilationUnit

  - ### Method Detail

    - #### public void applyTransformation(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void setCompilationUnit(org.codehaus.groovy.control.CompilationUnit unit)

    - #### public void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit sourceUnit)